TypedBytesWritableOutput (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.typedbytes
Class TypedBytesWritableOutput

    java.lang.Object
      org.apache.hadoop.typedbytes.TypedBytesWritableOutput

    public class TypedBytesWritableOutput

extends Object

Provides functionality for writing Writable objects as typed bytes.

See Also:
  `TypedBytesOutput`

Constructor Summary
`TypedBytesWritableOutput(DataOutput dout)` Creates a new instance of TypedBytesWritableOutput.
`TypedBytesWritableOutput(TypedBytesOutput out)` Creates a new instance of TypedBytesWritableOutput.

Method Summary
`static TypedBytesWritableOutput` | `get(DataOutput out)` Get a thread-local typed bytes writable output for the supplied `DataOutput`.
`static TypedBytesWritableOutput` | `get(TypedBytesOutput out)` Get a thread-local typed bytes writable input for the supplied `TypedBytesOutput`.
`void` | `write(Writable w)`
`void` | `writeArray(ArrayWritable aw)`
`void` | `writeBoolean(BooleanWritable bw)`
`void` | `writeByte(ByteWritable bw)`
`void` | `writeBytes(BytesWritable bw)`
`void` | `writeDouble(DoubleWritable dw)`
`void` | `writeFloat(FloatWritable fw)`
`void` | `writeInt(IntWritable iw)`
`void` | `writeLong(LongWritable lw)`
`void` | `writeMap(MapWritable mw)`
`void` | `writeRecord(Record r)`
`void` | `writeSortedMap(SortedMapWritable smw)`
`void` | `writeText(Text t)`
`void` | `writeTypedBytes(TypedBytesWritable tbw)`
`void` | `writeVInt(VIntWritable viw)`
`void` | `writeVLong(VLongWritable vlw)`
`void` | `writeWritable(Writable w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedBytesWritableOutput

    public TypedBytesWritableOutput(TypedBytesOutput out)

  Creates a new instance of TypedBytesWritableOutput.

### TypedBytesWritableOutput

    public TypedBytesWritableOutput(DataOutput dout)

  Creates a new instance of TypedBytesWritableOutput.

Method Detail

### get

    public static TypedBytesWritableOutput get(TypedBytesOutput out)

  Get a thread-local typed bytes writable input for the supplied `TypedBytesOutput`.

  Parameters:
    `out` - typed bytes output object
  Returns:
    typed bytes writable output corresponding to the supplied `TypedBytesOutput`.

### get

    public static TypedBytesWritableOutput get(DataOutput out)

  Get a thread-local typed bytes writable output for the supplied `DataOutput`.

  Parameters:
    `out` - data output object
  Returns:
    typed bytes writable output corresponding to the supplied `DataOutput`.

### write

    public void write(Writable w)
               throws IOException

  Throws:
    `IOException`

### writeTypedBytes

    public void writeTypedBytes(TypedBytesWritable tbw)
                         throws IOException

  Throws:
    `IOException`

### writeBytes

    public void writeBytes(BytesWritable bw)
                    throws IOException

  Throws:
    `IOException`

### writeByte

    public void writeByte(ByteWritable bw)
                   throws IOException

  Throws:
    `IOException`

### writeBoolean

    public void writeBoolean(BooleanWritable bw)
                      throws IOException

  Throws:
    `IOException`

### writeInt

    public void writeInt(IntWritable iw)
                  throws IOException

  Throws:
    `IOException`

### writeVInt

    public void writeVInt(VIntWritable viw)
                   throws IOException

  Throws:
    `IOException`

### writeLong

    public void writeLong(LongWritable lw)
                   throws IOException

  Throws:
    `IOException`

### writeVLong

    public void writeVLong(VLongWritable vlw)
                    throws IOException

  Throws:
    `IOException`

### writeFloat

    public void writeFloat(FloatWritable fw)
                    throws IOException

  Throws:
    `IOException`

### writeDouble

    public void writeDouble(DoubleWritable dw)
                     throws IOException

  Throws:
    `IOException`

### writeText

    public void writeText(Text t)
                   throws IOException

  Throws:
    `IOException`

### writeArray

    public void writeArray(ArrayWritable aw)
                    throws IOException

  Throws:
    `IOException`

### writeMap

    public void writeMap(MapWritable mw)
                  throws IOException

  Throws:
    `IOException`

### writeSortedMap

    public void writeSortedMap(SortedMapWritable smw)
                        throws IOException

  Throws:
    `IOException`

### writeRecord

    public void writeRecord(Record r)
                     throws IOException

  Throws:
    `IOException`

### writeWritable

    public void writeWritable(Writable w)
                       throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation